close all
omega = logspace(-2, 2, 100);
P = tf([1], [5 1])*tf([4], [1 2 4]);
KP = 5;
LP = P*KP;
[magLP, phaseLP] = bode(LP, omega);
magLP_db = 20*log10(magLP);

KPI = tf([4.5 1.35],[1 0]);
LPI = P*KPI;
[magLPI, phaseLPI] = bode(LPI, omega);
magLPI_db = 20*log10(magLPI);

KPID = tf([3 6 3],[1 0]);
LPID = P*KPID;
[magLPID, phaseLPID] = bode(LPID, omega);
magLPID_db = 20*log10(magLPID);

figure(1)
subplot(2,1,1)
semilogx(omega, magLP_db(:),'Linewidth',2)
hold on
semilogx(omega, magLPI_db(:),'r','Linewidth',2)
hold on
semilogx(omega, magLPID_db(:),'g','Linewidth',2)
grid on
%xlabel('\omega [rad/s]','fontsize',14,'fontname','times')
ylabel('Gain [dB]','fontsize',14,'fontname','times')
set(gca,'fontsize',14,'fontname','Times New Roman')
set(gca,'linewidth',1)
axis([1e-2 1e2 -60 40])
set(gca,'xtick',[1e-2,1e-1,1e0,1e1,1e2])

subplot(2,1,2)
semilogx(omega, phaseLP(:),'Linewidth',2)
hold on
semilogx(omega, phaseLPI(:),'r','Linewidth',2)
hold on
semilogx(omega, phaseLPID(:),'g','Linewidth',2)
grid on
xlabel('\omega [rad/s]','fontsize',14,'fontname','times')
ylabel('Phase [deg]','fontsize',14,'fontname','times')
set(gca,'fontsize',14,'fontname','Times New Roman')
set(gca,'linewidth',1)
axis([1e-2 1e2 -180 90])
set(gca,'xtick',[1e-2,1e-1,1e0,1e1,1e2])
set(gca,'ytick',[-180, -90, 0, 90])

figure(2)
semilogx(omega, magLP_db(:),'Linewidth',4)
hold on
semilogx(omega, magLPI_db(:),'r','Linewidth',4)
hold on
semilogx(omega, magLPID_db(:),'g','Linewidth',4)
grid on
%xlabel('\omega [rad/s]','fontsize',14,'fontname','times')
ylabel('Gain [dB]','fontsize',14,'fontname','times')
set(gca,'fontsize',14,'fontname','Times New Roman')
set(gca,'linewidth',1)
axis([1e-2 1e2 -60 40])
set(gca,'xtick',[1e-2,1e-1,1e0,1e1,1e2])